
Name: ksudoku
Version: 23.08.5
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Summary: KSudoku - Sudoku Game
Group: Graphical desktop/KDE5
Url: http://www.kde.org/applications/games/ksudoku/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: kdegames-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description 
%name is a logic-based symbol placement puzzle. The player has to
fill a grid so that each column, row as well as each square block
on the game field contains only one instance of each symbol.


%files
%_sysconfdir
%_kf5_bindir
%_kf5_datadir
#------------------------------------------------------------------------------

%package -n %name-handbook
Summary: %name handbook
Requires: %name
BuildArch: noarch
Group: Documentation

%description -n %name-handbook
This package provides the %name handbook.

%files -n %name-handbook
%doc %_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

